Dashboard Summary
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
0OK
Bad Request
Unauthorized
Internal Server Error
GET /api/Public/DashboardSummary/GetDashboardStatusCount HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": {
"totalCount": 1,
"status": "text",
"year": 1
}
}JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
0falseOK
Unauthorized
Internal Server Error
GET /api/Public/DashboardSummary/GetDashboardAllCounts HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": {
"pendingCount": 1,
"cosignPendingCount": 1,
"draftCount": 1,
"completedCount": 1,
"year": 1
}
}JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
Bad Request
Unauthorized
Internal Server Error
POST /api/Public/DashboardSummary/GetPendingInformation HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 273
{
"mode": 1,
"pageNumber": 1,
"pageSize": 1,
"categoryName": "text",
"docOwner": "text",
"documentName": "text",
"documentNumber": "text",
"referenceNo": "text",
"startDate": "text",
"endDate": "text",
"signedDate": "text",
"selectedYear": 1,
"sortColumn": "text",
"sortOrder": "text",
"isExport": true
}{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": {
"pageNumber": 1,
"pageSize": 1,
"totalRows": 1,
"totalPages": 1,
"data": [
{
"rowIndex": 1,
"totalRows": 1,
"workflowId": 1,
"lotId": 1,
"menuId": 1,
"signatureType": 1,
"name": "text",
"uploadedDatetime": "2026-01-01T00:00:00.000Z",
"displayName": "text",
"originatorId": 1,
"categoryName": "text",
"documentNumber": "text",
"isWorkflow": 1,
"referenceNo": "text",
"expiryDate": "2026-01-01T00:00:00.000Z",
"status": "text",
"statusId": 1,
"noOfDocsCount": 1,
"signedDate": "2026-01-01T00:00:00.000Z",
"attachmentCount": 1,
"signedBy": "text",
"isNewFlow": 1,
"hasNeslError": true,
"isStuckAtNesl": true
}
]
}
}JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
Bad Request
Unauthorized
Internal Server Error
POST /api/Public/DashboardSummary/GetCompletedDocuments HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 399
{
"pageNumber": 1,
"pageSize": 1,
"isSearch": true,
"docOwner": "text",
"docName": "text",
"startDate": "text",
"endDate": "text",
"completedFromDate": "text",
"completedToDate": "text",
"expiryFromDate": "text",
"expiryToDate": "text",
"categoryName": "text",
"documentNumber": "text",
"referenceNo": "text",
"selectedStatus": "text",
"sortColumn": "text",
"sortOrder": "text",
"customStatus": "text",
"selectedYear": 1,
"isExport": true
}{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": {
"pageNumber": 1,
"pageSize": 1,
"totalRows": 1,
"totalPages": 1,
"data": [
{
"rowIndex": 1,
"totalRows": 1,
"workflowId": 1,
"displayName": "text",
"documentNumber": "text",
"referenceNo": "text",
"initiatedBy": "text",
"originatorId": 1,
"categoryName": "text",
"categoryId": 1,
"isFlexi": 1,
"uploadedDatetime": "2026-01-01T00:00:00.000Z",
"completedDate": "2026-01-01T00:00:00.000Z",
"expiryDate": "2026-01-01T00:00:00.000Z",
"status": "text",
"documentStatusId": 1,
"lastSignedBy": "text",
"remarks": "text",
"workflowType": 1,
"noOfDocuments": 1,
"noOfAttachments": 1,
"allowDownloadDoc": true,
"customStatusId": 1,
"customStatus": "text"
}
]
}
}JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
Bad Request
Unauthorized
Internal Server Error
POST /api/Public/DashboardSummary/GetDraftDocuments HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 239
{
"pageNumber": 1,
"pageSize": 1,
"categoryName": "text",
"docOwner": "text",
"docName": "text",
"startDate": "text",
"endDate": "text",
"referenceNo": "text",
"documentNumber": "text",
"sortColumn": "text",
"sortOrder": "text",
"selectedYear": 1,
"isExport": true
}{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": {
"pageNumber": 1,
"pageSize": 1,
"totalRows": 1,
"totalPages": 1,
"data": [
{
"rowIndex": 1,
"totalRows": 1,
"workflowId": 1,
"name": "text",
"subscriberId": 1,
"lotId": 1,
"uploadedDatetime": "2026-01-01T00:00:00.000Z",
"documentId": 1,
"displayName": "text",
"originatorId": 1,
"signatureType": "text",
"categoryName": "text",
"documentNumber": "text",
"referenceNo": "text",
"status": "text",
"allowDownloadDoc": true,
"attachmentCount": 1,
"expiryDate": "2026-01-01T00:00:00.000Z",
"commentCount": 1,
"statusId": 1,
"noOfDocsCount": 1,
"menuId": 1,
"isWorkflow": 1,
"isFlexi": 1,
"workflowInitiateGUID": "text"
}
]
}
}JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
Bad Request
Unauthorized
Internal Server Error
POST /api/Public/DashboardSummary/GetDocStoreDocuments HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 375
{
"pageNumber": 1,
"pageSize": 1,
"tabStatusType": "text",
"selectedStatus": "text",
"isSearch": true,
"categoryName": "text",
"docOwner": "text",
"documentName": "text",
"documentNumber": "text",
"referenceNo": "text",
"startDate": "text",
"endDate": "text",
"expiryFromDate": "text",
"expiryToDate": "text",
"sortColumn": "text",
"sortOrder": "text",
"customStatus": "text",
"selectedYear": 1,
"isExport": true
}{
"isSuccess": true,
"messages": [
"text"
],
"errorCode": 1,
"errorKey": "text",
"response": {
"pageNumber": 1,
"pageSize": 1,
"totalRows": 1,
"totalPages": 1,
"data": [
{
"rowIndex": 1,
"totalRows": 1,
"workflowId": 1,
"name": "text",
"uploadedDatetime": "2026-01-01T00:00:00.000Z",
"displayName": "text",
"originatorId": 1,
"categoryName": "text",
"documentNumber": "text",
"referenceNo": "text",
"isWorkflow": 1,
"status": "text",
"allowDownloadDoc": true,
"attachmentCount": 1,
"expiryDate": "2026-01-01T00:00:00.000Z",
"statusId": 1,
"noOfDocsCount": 1,
"signedBy": "text",
"declinedDate": "2026-01-01T00:00:00.000Z",
"recalledDate": "2026-01-01T00:00:00.000Z",
"signedDate": "2026-01-01T00:00:00.000Z",
"categoryId": 1,
"isFlexi": 1,
"workflowInitiateGUID": "text",
"customStatusId": 1,
"customStatus": "text"
}
]
}
}JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
No content
GET /api/Public/DashboardSummary/GetCategories HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
No content
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
No content
GET /api/Public/DashboardSummary/GetOriginators HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
No content
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
No content
POST /api/Public/DashboardSummary/MapCategory HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46
{
"workflowId": 1,
"categoryId": 1,
"documentId": 1
}OK
No content
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
No content
POST /api/Public/DashboardSummary/UpdateDocExpiry HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 72
{
"workflowId": 1,
"documentId": 1,
"expiryDate": "text",
"notifyEmail": "text"
}OK
No content
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
00OK
No content
GET /api/Public/DashboardSummary/GetDocExpiry HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
No content
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
No content
GET /api/Public/DashboardSummary/GetLinkableWorkflows HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
No content
JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.
OK
No content
POST /api/Public/DashboardSummary/LinkDocuments HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"workflowId": 1,
"linkedWorkflowIds": [
1
]
}OK
No content
Last updated
